Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet.filter
Class RenderResponseWrapper

    java.lang.Object
      javax.portlet.filter.PortletResponseWrapper
          javax.portlet.filter.RenderResponseWrapper

All Implemented Interfaces
  MimeResponse, PortletResponse, RenderResponse

    public class RenderResponseWrapper

extends PortletResponseWrapper
implements RenderResponse

The `RenderResponseWrapper` provides a convenient implementation of the `RenderResponse` interface that can be subclassed by developers wishing to adapt the response. This class implements the Wrapper or Decorator pattern. Methods default to calling through to the wrapped response object.

Since:
  2.0
See Also
  `RenderResponse`

Field Summary

Fields inherited from interface javax.portlet.MimeResponse
`CACHE_SCOPE, ETAG, EXPIRATION_CACHE, MARKUP_HEAD_ELEMENT, NAMESPACED_RESPONSE, PRIVATE_SCOPE, PUBLIC_SCOPE, USE_CACHED_CONTENT`

Constructor Summary
`RenderResponseWrapper(RenderResponse response)` Creates an `RenderResponse` adaptor wrapping the given response object.

Method Summary
`PortletURL` | `createActionURL()` The default behavior of this method is to call `createActionURL()` on the wrapped response object.
`PortletURL` | `createRenderURL()` The default behavior of this method is to call `createRenderURL()` on the wrapped response object.
`ResourceURL` | `createResourceURL()` The default behavior of this method is to call `createResourceURL()` on the wrapped response object.
`void` | `flushBuffer()` The default behavior of this method is to call `flushBuffer()` on the wrapped response object.
`int` | `getBufferSize()` The default behavior of this method is to call `getBufferSize()` on the wrapped response object.
`CacheControl` | `getCacheControl()` The default behavior of this method is to call `getCacheControl()` on the wrapped response object.
`String` | `getCharacterEncoding()` The default behavior of this method is to call `getCharacterEncoding()` on the wrapped response object.
`String` | `getContentType()` The default behavior of this method is to call `getContentType()` on the wrapped response object.
`Locale` | `getLocale()` The default behavior of this method is to call `getLocale()` on the wrapped response object.
`OutputStream` | `getPortletOutputStream()` The default behavior of this method is to call `getPortletOutputStream()` on the wrapped response object.
`RenderResponse` | `getResponse()` Return the wrapped response object.
`PrintWriter` | `getWriter()` The default behavior of this method is to call `getWriter()` on the wrapped response object.
`boolean` | `isCommitted()` The default behavior of this method is to call `isCommitted()` on the wrapped response object.
`void` | `reset()` The default behavior of this method is to call `reset()` on the wrapped response object.
`void` | `resetBuffer()` The default behavior of this method is to call `resetBuffer()` on the wrapped response object.
`void` | `setBufferSize(int size)` The default behavior of this method is to call `setBufferSize(size)` on the wrapped response object.
`void` | `setContentType(String type)` The default behavior of this method is to call `setContentType(type)` on the wrapped response object.
`void` | `setNextPossiblePortletModes(Collection<PortletMode> portletModes)` The default behavior of this method is to call `setNextPossiblePortletModes()` on the wrapped response object.
`void` | `setResponse(RenderResponse response)` Sets the response object being wrapped.
`void` | `setTitle(String title)` The default behavior of this method is to call `setTitle(title)` on the wrapped response object.

Methods inherited from class javax.portlet.filter.PortletResponseWrapper
`addProperty, addProperty, addProperty, createElement, encodeURL, getNamespace, setProperty, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletResponse
`addProperty, addProperty, addProperty, createElement, encodeURL, getNamespace, setProperty`

Constructor Detail

### RenderResponseWrapper

    public RenderResponseWrapper(RenderResponse response)

  Creates an `RenderResponse` adaptor wrapping the given response object.

  Parameters
    `response` - the event response to wrap
  Throws
    `IllegalArgumentException` - if the response is `null`

Method Detail

### flushBuffer

    public void flushBuffer()
                     throws IOException

  The default behavior of this method is to call `flushBuffer()` on the wrapped response object.

  Specified by:
    `flushBuffer` in interface `MimeResponse`
  Throws
    `IOException` - if an error occurred when writing the output
  See Also
    `MimeResponse.setBufferSize(int)`, `MimeResponse.getBufferSize()`, `MimeResponse.isCommitted()`, `MimeResponse.reset()`

### getBufferSize

    public int getBufferSize()

  The default behavior of this method is to call `getBufferSize()` on the wrapped response object.

  Specified by:
    `getBufferSize` in interface `MimeResponse`
  Returns
    the actual buffer size used
  See Also
    `MimeResponse.setBufferSize(int)`, `MimeResponse.flushBuffer()`, `MimeResponse.isCommitted()`, `MimeResponse.reset()`

### getCharacterEncoding

    public String getCharacterEncoding()

  The default behavior of this method is to call `getCharacterEncoding()` on the wrapped response object.

  Specified by:
    `getCharacterEncoding` in interface `MimeResponse`
  Returns
    a `String` specifying the name of the charset, for example, `ISO-8859-1`

### getContentType

    public String getContentType()

  The default behavior of this method is to call `getContentType()` on the wrapped response object.

  Specified by:
    `getContentType` in interface `MimeResponse`
  Returns
    the MIME type of the response, or `null` if no content type is set
  See Also
    `MimeResponse.setContentType(java.lang.String)`

### getLocale

    public Locale getLocale()

  The default behavior of this method is to call `getLocale()` on the wrapped response object.

  Specified by:
    `getLocale` in interface `MimeResponse`
  Returns
    Locale of this response

### getPortletOutputStream

    public OutputStream getPortletOutputStream()
                                        throws IOException

  The default behavior of this method is to call `getPortletOutputStream()` on the wrapped response object.

  Specified by:
    `getPortletOutputStream` in interface `MimeResponse`
  Returns
    a `OutputStream` for writing binary data
  Throws
    `IOException` - if an input or output exception occurred
  See Also
    `MimeResponse.setContentType(java.lang.String)`, `MimeResponse.getWriter()`

### getWriter

    public PrintWriter getWriter()
                          throws IOException

  The default behavior of this method is to call `getWriter()` on the wrapped response object.

  Specified by:
    `getWriter` in interface `MimeResponse`
  Returns
    a `PrintWriter` object that can return character data to the portal
  Throws
    `IOException` - if an input or output exception occurred
  See Also
    `MimeResponse.setContentType(java.lang.String)`, `MimeResponse.getPortletOutputStream()`

### isCommitted

    public boolean isCommitted()

  The default behavior of this method is to call `isCommitted()` on the wrapped response object.

  Specified by:
    `isCommitted` in interface `MimeResponse`
  Returns
    a boolean indicating if the response has been committed
  See Also
    `MimeResponse.setBufferSize(int)`, `MimeResponse.getBufferSize()`, `MimeResponse.flushBuffer()`, `MimeResponse.reset()`

### reset

    public void reset()

  The default behavior of this method is to call `reset()` on the wrapped response object.

  Specified by:
    `reset` in interface `MimeResponse`
  See Also
    `MimeResponse.setBufferSize(int)`, `MimeResponse.getBufferSize()`, `MimeResponse.flushBuffer()`, `MimeResponse.isCommitted()`

### resetBuffer

    public void resetBuffer()

  The default behavior of this method is to call `resetBuffer()` on the wrapped response object.

  Specified by:
    `resetBuffer` in interface `MimeResponse`
  See Also
    `MimeResponse.setBufferSize(int)`, `MimeResponse.getBufferSize()`, `MimeResponse.isCommitted()`, `MimeResponse.reset()`

### setBufferSize

    public void setBufferSize(int size)

  The default behavior of this method is to call `setBufferSize(size)` on the wrapped response object.

  Specified by:
    `setBufferSize` in interface `MimeResponse`
  Parameters
    `size` - the preferred buffer size
  See Also
    `MimeResponse.getBufferSize()`, `MimeResponse.flushBuffer()`, `MimeResponse.isCommitted()`, `MimeResponse.reset()`

### setContentType

    public void setContentType(String type)

  The default behavior of this method is to call `setContentType(type)` on the wrapped response object.

  Specified by:
    `setContentType` in interface `MimeResponse`
  Specified by:
    `setContentType` in interface `RenderResponse`
  Parameters
    `type` - the content MIME type
  See Also
    `PortletRequest.getResponseContentTypes()`, `MimeResponse.getContentType()`

### setTitle

    public void setTitle(String title)

  The default behavior of this method is to call `setTitle(title)` on the wrapped response object.

  Specified by:
    `setTitle` in interface `RenderResponse`
  Parameters
    `title` - portlet title as text String or resource URI

### getCacheControl

    public CacheControl getCacheControl()

  The default behavior of this method is to call `getCacheControl()` on the wrapped response object.

  Specified by:
    `getCacheControl` in interface `MimeResponse`
  Returns
    Cache control for the current response.

### setNextPossiblePortletModes

    public void setNextPossiblePortletModes(Collection<PortletMode> portletModes)

  The default behavior of this method is to call `setNextPossiblePortletModes()` on the wrapped response object.

  Specified by:
    `setNextPossiblePortletModes` in interface `RenderResponse`
  Parameters
    `portletModes` - `Enumeration` of `PortletMode` objects with the next possible portlet modes that the make sense from the portlet point of view, must not be `null` or an empty enumeration.

### getResponse

    public RenderResponse getResponse()

  Return the wrapped response object.

  Overrides:
    `getResponse` in class `PortletResponseWrapper`
  Returns
    the wrapped response

### setResponse

    public void setResponse(RenderResponse response)

  Sets the response object being wrapped.

  Parameters
    `response` - the response to set
  Throws
    `IllegalArgumentException` - if the response is null.

### createActionURL

    public PortletURL createActionURL()
                               throws IllegalStateException

  The default behavior of this method is to call `createActionURL()` on the wrapped response object.

  Specified by:
    `createActionURL` in interface `MimeResponse`
  Returns
    a portlet action URL
  Throws
    `IllegalStateException`

### createRenderURL

    public PortletURL createRenderURL()
                               throws IllegalStateException

  The default behavior of this method is to call `createRenderURL()` on the wrapped response object.

  Specified by:
    `createRenderURL` in interface `MimeResponse`
  Returns
    a portlet render URL
  Throws
    `IllegalStateException`

### createResourceURL

    public ResourceURL createResourceURL()
                                  throws IllegalStateException

  The default behavior of this method is to call `createResourceURL()` on the wrapped response object.

  Specified by:
    `createResourceURL` in interface `MimeResponse`
  Returns
    a portlet resource URL
  Throws
    `IllegalStateException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.